CentOS 6.8にpython3.4, pip3, sphinx, jupyter etc. install

2016/10/24 18:03 に 森山誠二郎 が投稿   [ 2016/11/14 16:36 に更新しました ]
CentOS7のepelを使った方法で
 yum list available | grep python
 yum install python34-devel
 curl https://bootstrap.pypa.io/get-pip.py|python3.4
 pip3 install jupyter
 pip3 install Sphinx
 pip3 jupyter

pip3 できるrst2pdfは、python3に対応していない! 以下のエラーが出る:
File "/usr/lib/python3.4/site-packages/rst2pdf/pdfbuilder.py", line 129
    except Exception, e:
                    ^
SyntaxError: invalid syntax

https://github.com/rst2pdf/rst2pdfに以下の記述があるが書いてあるとおりにやっても上記のようなエラーが出た
Work on rst2pdf has restarted on github, with the goals of supporting Python 3...

ついでに、sphinxで markdownを使えるようにする
 pip3 install recommonmark
conf.py:
from recommonmark.parser import CommonMarkParser
source_parsers = {'.md': CommonMarkParser}  
source_suffix = ['.rst', '.md']

irubyは以下で問題なく動いた:
gem install rbczmq iruby nyaplot --no-ri --no-rdoc

Comments